Subject: Re: bug#70036 a fix that

From: Eli Zaretskii <[email-masked]>
Date: Fri, 19 Apr 2024 14:12:32 +0300

> From: João Távora <[email-masked]>
> Date: Fri, 19 Apr 2024 09:49:38 +0100
> Cc: [email-masked], [email-masked], [email-masked]
> 
> On Fri, Apr 19, 2024 at 9:27 AM João Távora <[email-masked]> wrote:
> 
> > > It's only now, that we decided symlinks _should_ be resolved by Emacs,
> >
> > I _think_, but can't be 100% sure, that I explicitly decided that 6 years
> > ago, I just didn't document it  explicitly beyond typing in "file-truename".
> > Git archeology brings me to a commit in 2018 where I was reorganizing
> > code, and file-truename was already there.  I definitely knew about
> > expand-file-name in 2018 though.
> 
> The fact that I chose find-buffer-visiting over get-file-buffer around
> the same time is another hint...

Without proper commentary, this is a very weak hint.  It could, for
example, mean the problem you wanted to solve no longer exists, or
even that you were unsure about whether expand-file-name could do the
job.